My Project: dgDeformableBodiesUpdate Class Reference

My Project

Public Member Functions | Friends | List of all members
dgDeformableBodiesUpdate Class Reference

`#include <dgDeformableBodiesUpdate.h>`

Inheritance diagram for dgDeformableBodiesUpdate:

## Public Member Functions

| dgDeformableBodiesUpdate (dgMemoryAllocator *const allocator)
void | AddShape (dgCollisionDeformableMesh *const shape)
void | RemoveShape (dgCollisionDeformableMesh *const shape)
Public Member Functions inherited from dgList< dgCollisionDeformableMesh *>
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgCollisionDeformableMesh * &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgCollisionDeformableMesh * &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgCollisionDeformableMesh * &element) const
dgListNode * | GetNodeFromInfo (dgCollisionDeformableMesh * &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgCollisionDeformableMesh * &element)
void | RemoveAll ()
void | Merge (dgList< dgCollisionDeformableMesh * > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Friends

class | dgBroadPhase
class | dgWorldDynamicUpdate

## Constructor & Destructor Documentation

## § dgDeformableBodiesUpdate()

dgDeformableBodiesUpdate::dgDeformableBodiesUpdate | ( | dgMemoryAllocator *const | allocator | ) |

## Member Function Documentation

## § AddShape()

void dgDeformableBodiesUpdate::AddShape | ( | dgCollisionDeformableMesh *const | shape | ) |

## § RemoveShape()

void dgDeformableBodiesUpdate::RemoveShape | ( | dgCollisionDeformableMesh *const | shape | ) |

## Friends And Related Function Documentation

## § dgBroadPhase

friend class dgBroadPhase

friend

## § dgWorldDynamicUpdate

friend class dgWorldDynamicUpdate

friend

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgDeformableBodiesUpdate.h
- dynamics.mod/NewtonDynamics/source/physics/dgDeformableBodiesUpdate.cpp